#ifndef __BUTTONLIST_H__
#define __BUTTONLIST_H__

/*The index of the first button created for single-letter
  operation such as "*", "!" or digits.*/
#define   NB_FIRST_SINGLE_LETTER_OP   39

/*Define the button name as its index of the array in "ButtonList.c".*/
/*        <Name>   <Index>*/
#define   NB_CUT     0
#define   NB_COPY    1
#define   NB_PASTE   3
#define   NB_UNDO    4
#define   NB_DRPI    5  /*Change deg/rad/PIrad, the units for argument*/
#define   NB_CE      6
#define   NB_ACL     7
#define   NB_BS     18  /*Back Space*/
   /*real,..., arg*/
#define   NB_REAL    8
#define   NB_IMAG    9
#define   NB_ABS    10
#define   NB_ARG    11

#define   NB_EE     41
#define   NB_PM     73  /*+/-*/
#define   NB_POW    34  /*z^w*/
#define   NB_CONJ   32
   /*STO, M+, etc. */
#define   NB_STO    43
#define   NB_RCL    44
#define   NB_MADD   51
#define   NB_MSUB   52
#define   NB_MMUL   59
#define   NB_MDIV   60
#define   NB_MPOW   67
#define   NB_MCONJ  68   


#endif/*__BUTTONLIST_H__*/
